import { Toast } from 'vant'
import Clipboard from 'clipboard'

export default {
  directives: {
    copy: {
      inserted (el) {
        const { clipboardToast, clipboardHide } = el.dataset
        const obj = new Clipboard(el)
        obj.on('success', () => {
          if (clipboardHide === '1') {
            return
          }
          Toast(clipboardToast || '复制成功')
        })
        obj.on('error', () => {
          if (clipboardHide === '1') {
            return
          }
          Toast('复制失败，请手动选择复制')
        })
      }
    }
  }
}
