import request from '@/api/request'

const host = window.location.host
const domain = host.substring(0, host.indexOf('.')) || host.substring(0, host.indexOf(':'))
const isProxy = /^(0|192|localhost|10)/.test(domain)

/**
 * 获取机构列表
 */
export const apiOrgList = () => request({
  method: 'GET',
  url: (isProxy ? '/proxycodedreamit' : '') + '/api/wechat/list'
})

/**
 * 获取支付信息
 */
export const apiWechatPay = (id, orderPrice) => request({
  method: 'GET',
  url: (isProxy ? '/proxycodedreamit' : '') + '/api/wechat/pay',
  params: {
    id: id,
    order_price: orderPrice
  },
  showLoading: false
})
